Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UINotify

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractNotify
                  org.richfaces.component.UINotify

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.NotifyAttributes

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class UINotify

extends AbstractNotify
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:notify> component serves for advanced user interaction, using notification boxes to give the user instant feedback on what's happening within the application. Each time this component is rendered, a floating notification box is displayed in the selected corner of the browser screen.

Author:
  Lukas Fryc

Nested Class Summary
`protected static class` | `UINotify.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractNotify
`DEFAULT_NONBLOCKING_OPACITY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UINotify()`

Method Summary
`Integer` | `getAnimationSpeed()`
`String` | `getAppearAnimation()`
`String` | `getDefaultEventName()`
`Integer` | `getDelay()`
`String` | `getDetail()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getHideAnimation()`
`Double` | `getNonblockingOpacity()`
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getStack()`
`Integer` | `getStayTime()`
`String` | `getStyleClass()`
`String` | `getSummary()`
`boolean` | `isNonblocking()`
`boolean` | `isShowCloseButton()`
`boolean` | `isShowHistory()`
`boolean` | `isShowShadow()`
`boolean` | `isSticky()`
`void` | `setAnimationSpeed(Integer animationSpeed)`
`void` | `setAppearAnimation(String appearAnimation)`
`void` | `setDelay(Integer delay)`
`void` | `setDetail(String detail)`
`void` | `setHideAnimation(String hideAnimation)`
`void` | `setNonblocking(boolean nonblocking)`
`void` | `setNonblockingOpacity(Double nonblockingOpacity)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setShowCloseButton(boolean showCloseButton)`
`void` | `setShowHistory(boolean showHistory)`
`void` | `setShowShadow(boolean showShadow)`
`void` | `setStack(String stack)`
`void` | `setStayTime(Integer stayTime)`
`void` | `setSticky(boolean sticky)`
`void` | `setStyleClass(String styleClass)`
`void` | `setSummary(String summary)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UINotify

    public UINotify()

Method Detail

### getFamily

    public String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAnimationSpeed

    public Integer getAnimationSpeed()

  Specified by:
    `getAnimationSpeed` in interface `org.richfaces.component.NotifyAttributes`

### setAnimationSpeed

    public void setAnimationSpeed(Integer animationSpeed)

  Specified by:
    `setAnimationSpeed` in interface `org.richfaces.component.NotifyAttributes`

### getAppearAnimation

    public String getAppearAnimation()

  Specified by:
    `getAppearAnimation` in interface `org.richfaces.component.NotifyAttributes`

### setAppearAnimation

    public void setAppearAnimation(String appearAnimation)

  Specified by:
    `setAppearAnimation` in interface `org.richfaces.component.NotifyAttributes`

### getDelay

    public Integer getDelay()

  Specified by:
    `getDelay` in interface `org.richfaces.component.NotifyAttributes`

### setDelay

    public void setDelay(Integer delay)

  Specified by:
    `setDelay` in interface `org.richfaces.component.NotifyAttributes`

### getDetail

    public String getDetail()

  Specified by:
    `getDetail` in class `AbstractNotify`

### setDetail

    public void setDetail(String detail)

  Specified by:
    `setDetail` in class `AbstractNotify`

### getHideAnimation

    public String getHideAnimation()

  Specified by:
    `getHideAnimation` in interface `org.richfaces.component.NotifyAttributes`

### setHideAnimation

    public void setHideAnimation(String hideAnimation)

  Specified by:
    `setHideAnimation` in interface `org.richfaces.component.NotifyAttributes`

### isNonblocking

    public boolean isNonblocking()

  Specified by:
    `isNonblocking` in interface `org.richfaces.component.NotifyAttributes`

### setNonblocking

    public void setNonblocking(boolean nonblocking)

  Specified by:
    `setNonblocking` in interface `org.richfaces.component.NotifyAttributes`

### getNonblockingOpacity

    public Double getNonblockingOpacity()

  Specified by:
    `getNonblockingOpacity` in interface `org.richfaces.component.NotifyAttributes`

### setNonblockingOpacity

    public void setNonblockingOpacity(Double nonblockingOpacity)

  Specified by:
    `setNonblockingOpacity` in interface `org.richfaces.component.NotifyAttributes`

### getOnclick

    public String getOnclick()

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnkeydown

    public String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### isShowCloseButton

    public boolean isShowCloseButton()

  Specified by:
    `isShowCloseButton` in interface `org.richfaces.component.NotifyAttributes`

### setShowCloseButton

    public void setShowCloseButton(boolean showCloseButton)

  Specified by:
    `setShowCloseButton` in interface `org.richfaces.component.NotifyAttributes`

### isShowHistory

    public boolean isShowHistory()

  Specified by:
    `isShowHistory` in interface `org.richfaces.component.NotifyAttributes`

### setShowHistory

    public void setShowHistory(boolean showHistory)

  Specified by:
    `setShowHistory` in interface `org.richfaces.component.NotifyAttributes`

### isShowShadow

    public boolean isShowShadow()

  Specified by:
    `isShowShadow` in interface `org.richfaces.component.NotifyAttributes`

### setShowShadow

    public void setShowShadow(boolean showShadow)

  Specified by:
    `setShowShadow` in interface `org.richfaces.component.NotifyAttributes`

### getStack

    public String getStack()

  Specified by:
    `getStack` in interface `org.richfaces.component.NotifyAttributes`

### setStack

    public void setStack(String stack)

  Specified by:
    `setStack` in interface `org.richfaces.component.NotifyAttributes`

### getStayTime

    public Integer getStayTime()

  Specified by:
    `getStayTime` in interface `org.richfaces.component.NotifyAttributes`

### setStayTime

    public void setStayTime(Integer stayTime)

  Specified by:
    `setStayTime` in interface `org.richfaces.component.NotifyAttributes`

### isSticky

    public boolean isSticky()

  Specified by:
    `isSticky` in interface `org.richfaces.component.NotifyAttributes`

### setSticky

    public void setSticky(boolean sticky)

  Specified by:
    `setSticky` in interface `org.richfaces.component.NotifyAttributes`

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in interface `org.richfaces.component.NotifyAttributes`

### setStyleClass

    public void setStyleClass(String styleClass)

  Specified by:
    `setStyleClass` in interface `org.richfaces.component.NotifyAttributes`

### getSummary

    public String getSummary()

  Specified by:
    `getSummary` in class `AbstractNotify`

### setSummary

    public void setSummary(String summary)

  Specified by:
    `setSummary` in class `AbstractNotify`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.